Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04731 Core Trivial Always Mar 14, 2012, 15:02 Jan 11, 2014, 15:53
Tester NekoEd View Status Public Platform SDLMAME
Assigned To Kale Resolution Fixed OS Linux
Status [?] Resolved Driver mystwarr.cpp
Version 0.145u4 Fixed in Version 0.151 Build Normal
Summary 04731: viostorm and clones: Warning: k053252 read 0e, contact MAMEdev
Description The popmessage "Warning: k053252 read 0e, contact MAMEdev" appears immediately after the RAM/ROM test, upon the transition from that screen to the game/region identification screen.

It appears to occur upon every/any display of the game/region identification screen, as it also pops up when this screen is displayed upon exiting service mode.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems viostorm and clones
Attached Files
 
Relationships
related to 05335ResolvedKale All sets in dbz.c: Warning: k053252 read 0e, contact MAMEdev pops up on screen 
Notes
5
User avatar
No.10137
abelenki
Tester
Jan 6, 2014, 08:55
edited on: Jan 6, 2014, 08:55
all sets of viostorm still don't work in 0.151/0.152. there is the following error appears when trying to load any of the games:

-----------------------------------------------------
Exception at EIP=0000000001703564 (not found): ACCESS VIOLATION
While attempting to read memory at 000000000E906000
-----------------------------------------------------
RAX=0000000000000000 RBX=0000000000007778 RCX=00000000000C9360 RDX=000000000D0DAC80
RSI=00000000000000CA RDI=00000000114925A0 RBP=000000001149254C RSP=000000000881F560
 R8=00000000003B1043 R9=000000000E8E8220 R10=0000000000006000 R11=0000000000000000
R12=00000000000000CA R13=000000000178B000 R14=00000000003AEAEE R15=0000000000000300
-----------------------------------------------------
Stack crawl:
  000000000881F950: 0000000001703564 (not found)
  000000000881F9A0: 00000000016D4CB8 (not found)
  000000000881FA90: 00000000016D7AC4 (not found)
  000000000881FB50: 00007FFDA6D32524 (DispatchMessageW+0x0154)
  000000000881FBB0: 00007FFDA6D36773 (CallWindowProcW+0x0093)
  000000000881FC10: 00007FFD889FB27D (DllUnregisterServer+0x09ed)
  000000000881FC60: 00007FFD889FB060 (DllUnregisterServer+0x07d0)
  000000000881FCC0: 00007FFD889FB27D (DllUnregisterServer+0x09ed)
  000000000881FD20: 00007FFD889FB125 (DllUnregisterServer+0x0895)
  000000000881FDE0: 00007FFDA6D32524 (DispatchMessageW+0x0154)
  000000000881FE60: 00007FFDA6D32387 (ScrollDC+0x01f7)
  000000000881FEF0: 00000000016D5D6E (not found)
  000000000881FF20: 00007FFDA4CA9967 (sinf+0x028f)
  000000000881FF50: 00007FFDA4CA9A0D (endthreadex+0x0095)
  000000000881FF80: 00007FFDA63315CD (BaseThreadInitThunk+0x000d)
  000000000881FFD0: 00007FFDA6FA43D1 (RtlUserThreadStart+0x001d)
User avatar
No.10138
Osso
Developer
Jan 6, 2014, 09:19
64 bit current SVN compile seems to work fine for me.
User avatar
No.10139
Tafoid
Administrator
Jan 6, 2014, 14:33
abelenki, Try a copy of MAMEDEV 0.152 in a separate folder with no added configuration or INI files and see that it works, please.
User avatar
No.10143
B2K24
Moderator
Jan 6, 2014, 15:38
Extracting mame0152s and using self compiled 0.152 X64 binary viostorm and all clones successfully load and coin up here on my end.
User avatar
No.10169
abelenki
Tester
Jan 11, 2014, 15:53
edited on: Jan 11, 2014, 15:53
> abelenki, Try a copy of MAMEDEV 0.152 in a separate folder with no added configuration or INI files and see that it works, please.

i just tried them with official binary and clean config - works fine.

should be something with my configuration files.

thank you.